Subject: Re: [PATCH] net: ppp_generic - fix broken userspace

From: Cyrill Gorcunov <[email-masked]>
Date: Sun, 11 Jan 2009 14:45:53 +0300

[Paul Mackerras - Sun, Jan 11, 2009 at 09:29:49PM +1100]
| David Miller writes:
| 
| > PPP was converted to use IDR instead of PPP's duplicate
| > implementation.
| > 
| > A bug was introduced in that conversion, and that bug is being fixed
| > here.
| > 
| > What is not to like? :-)
| 
| Ah OK, that sounds all right.  I was reacting to the "broken
| userspace" in the patch description which at first glance seemed to be
| saying that userspace (i.e. pppd :) is doing something which has
| recently been declared to be wrong and therefore it is "broken".
| 
| I think "fix broken userspace" as a patch headline is quite
| ambiguous.  Something like "Fix bug in conversion to use IDR" would be
| more informative.
| 
| Paul.
| 

David, if you pick this patch could you rename
the subject then as Paul proposed? Or I should
resend the patch with new title?

To Paul: my bad, sorry. I thought like -- I broke
user-space pppd so it's broken now and lets fix
it -- here is "fix broken userspace" grown from :)

		- Cyrill -